/* 
Mikroekonometria 
Zajęcia 8 - Wybór uporządkowany
CC BY: Wiktor Budziński
*/

/* Zadanie 1. Analiza odpowiedzi na pytania światopoglądowe dotyczące Morza Bałtyckiego
   1.1. Wykorzystaj zbiór me_baltic.dta do przeanalizowania, 
	    jakie charakterystyki respondentów pozwalają wyjaśnić ich odpowiedzi 
	    na pytanie o to czy stan środowiska Bałtyku ich martwi (envw) */

use me_baltic.dta, clear

des
sum

label define country_label 1 "de" 2 "dk" 3 "ee" 4 "fi" 5 "lit" 6 "lv" 7 "pl" 8 "ruc" 9 "ruo" 10 "se"
label values country country_label

global countries i.country // Niemcy będą poziomem bazowym

ologit envw $countries i.bocc age i.male i.edu hhsize hinc ldist //Uporządkowany model logitowy

// 1.2. Zinterpretuj wyniki jakościowo
/* Stata estymuje model bez stałej, więc mamy 4 parametry cut-offów (zmienna objaśniana przyjmuje 5 poziomów)
   Możliwa jedynie interpretacja jakościowa:
      Osoby, których zawód jest związany z Morzem Bałtyckim średnio bardziej się martwią o stan jego środowiska
	  Osoby, które mieszkają dalej od Bałtyku średnio mniej się martwią o stan jego środowiska
	  Osoby z różnych krajów mają inny średni poziom zatroskania o Bałtyk, wszyscy większy niż Niemcy */

// 1.3. Zinterpretuj wyniki ilościowo
// Liczymy efekty krańcowe

margins, dydx(bocc age ldist)

/* Ponieważ w modelu zadeklarowaliśmy, że bocc jest zmienną binarną, Stata liczy efekty krańcowe dla niego używając różnic, a nie pochodnych
   Osoby, których zawód jest związany z Morzem Bałtyckim mają niższe p-stwo oceny swojego poziomu zmartwienia stanem środowiska 
   jako 1 o 2.2 punkty procentowe, w porównaniu do osób których zawód nie jest związany z Morzem Bałtyckim	
   Wzrost odległości miejsca zamieszkania od Morza Bałtyckiego o jednostkę powoduje wzrost p-stwa oceny swojego poziomu zmartwienia 
   stanem środowiska jako 3 o 2.59 punkty procentowe	
   itd. */
	
// Analogicznie można policzyć uporządkowany probit:
oprobit envw $countries i.bocc age male i.edu hhsize hinc ldist

// Testy analogicznie jak w modelach dla zmiennych binarnych
linktest

// Analogicznie mozna policzyc probit z heteroskedastycznosica

hetoprobit envw $countries i.bocc age male i.edu hhsize hinc ldist, het($countries ldist i.bocc)